Bug 1417139 - Missing pyo pyc files
Summary: Missing pyo pyc files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: python
Version: python27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 2.4
Assignee: Python Maintainers
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 09:45 UTC by Branislav Náter
Modified: 2017-04-26 10:21 UTC (History)
2 users (show)

Fixed In Version: python27-python-2.7.13-2.el7 python27-python-2.7.13-2.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-04-26 10:21:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1162 0 normal SHIPPED_LIVE Moderate: python27 security, bug fix, and enhancement update 2017-04-26 14:18:34 UTC

Description Branislav Náter 2017-01-27 09:45:22 UTC
Description of problem:
pyo and pyc files are missing in python27-python-tools package

Version-Release number of selected component (if applicable):
ython27-python-tools-2.7.13-1.el{6,7}

How reproducible:


Steps to Reproduce:
1. run automated test /CoreOS/python/Sanity/pyco-files

Actual results:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Testing python27-python-tools package
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   FAIL   ] :: File ChipViewer.pyc should exist 
:: [   FAIL   ] :: File ChipViewer.pyo should exist 
:: [   FAIL   ] :: File ColorDB.pyc should exist 
:: [   FAIL   ] :: File ColorDB.pyo should exist 
:: [   FAIL   ] :: File DetailsViewer.pyc should exist 
:: [   FAIL   ] :: File DetailsViewer.pyo should exist 
:: [   FAIL   ] :: File ListViewer.pyc should exist 
:: [   FAIL   ] :: File ListViewer.pyo should exist 
:: [   FAIL   ] :: File Main.pyc should exist 
:: [   FAIL   ] :: File Main.pyo should exist 
:: [   FAIL   ] :: File PyncheWidget.pyc should exist 
:: [   FAIL   ] :: File PyncheWidget.pyo should exist 
:: [   FAIL   ] :: File StripViewer.pyc should exist 
:: [   FAIL   ] :: File StripViewer.pyo should exist 
:: [   FAIL   ] :: File Switchboard.pyc should exist 
:: [   FAIL   ] :: File Switchboard.pyo should exist 
:: [   FAIL   ] :: File TextViewer.pyc should exist 
:: [   FAIL   ] :: File TextViewer.pyo should exist 
:: [   FAIL   ] :: File TypeinViewer.pyc should exist 
:: [   FAIL   ] :: File TypeinViewer.pyo should exist 
:: [   FAIL   ] :: File __init__.pyo should exist 
:: [   FAIL   ] :: File pyColorChooser.pyc should exist 
:: [   FAIL   ] :: File pyColorChooser.pyo should exist 

Expected results:
pyo/pyc files are present

Additional info:
Full test log: http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2017/01/16861/1686176/3451813/50490870/TESTOUT.log
Looks similar to BZ#968199

Comment 1 Tomas Orsava 2017-02-02 17:17:14 UTC
For some reason the first build failed to generate these files, but all builds I tried after generated them just fine. Perhaps it was some temporary problem with the buildroot or system.

Comment 3 Branislav Náter 2017-03-10 16:30:05 UTC
Verified on python27-python-tools-2.7.13-3.el{6,7} packages.

pyc, pyo files are present.

TCMS test case runs:
https://tcms.engineering.redhat.com/run/305838/#caserun_15308586
https://tcms.engineering.redhat.com/run/305839/#caserun_15308756
https://tcms.engineering.redhat.com/run/305850/#caserun_15309922

Comment 5 errata-xmlrpc 2017-04-26 10:21:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1162


Note You need to log in before you can comment on or make changes to this bug.